From: greg at coltec dot com dot au
Operating system: Solaris 2.9 (112233-08)
PHP version: 4.3.4
PHP Bug Type: *Configuration Issues
Bug description: PHP Configure fails with "mysql configure failed"

Description:
------------
I'm trying to configure PHP to use the client libraries for MySQL 4.0.16,
which I downloaded as a binary (Solaris 9 64-bit) and installed in
/usr/local/mysql.

When I attempt to configure PHP using:

../configure --with-mysql=/usr/local/mysql --with-apache=../apache_1.3.29
--with-openssl=/usr/local/ssl --with-zlib-dir=./ext/zlib
--enable-track-vars --enable-libgcc --disable-cgi

I get the following error:

checking for mysql_close in -lmysqlclient... no
checking for mysql_error in -lmysqlclient... no
configure: error: mysql configure failed. Please check config.log for more
information.

Config.log shows:

configure:55581: checking for mysql_error in -lmysqlclient
configure:55600: gcc -o conftest -g -O2 -D_POSIX_PTHREAD_SEMANTICS
-R/usr/local/mysql/lib -L/usr/local/mysql/lib -R/usr/ucblib -L/usr/ucblib
-R/opt/sfw/gcc-3.2/lib/gcc-lib/sparc-sun-solaris2.9/3.2
-L/opt/sfw/gcc-3.2/lib/gcc-lib/sparc-sun-solaris2.9/3.2
-R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr -L/usr conftest.c
-lmysqlclient -lz -lz -lssl -lcrypto -lresolv -lm -ldl -lnsl -lsocket
-lgcc 1>&5
ld: warning: file /usr/local/mysql/lib/libmysqlclient.a(libmysql.o): wrong
ELF class: ELFCLASS64
Undefined first referenced
symbol in file
mysql_error /var/tmp//cc4fDlj3.o
ld: fatal: Symbol referencing errors. No output written to conftest


These are not the final lines, but they seem most relevant; I can post
more if necessary.

Is it possible that PHP is looking for a 32-bit MySQL binary and crashing
when it finds a 64-bit? If so, are there plans to support 64-bit MySQL?


--
Edit bug report at [url]http://bugs.php.net/?id=26282&edit=1[/url]
--
Try a CVS snapshot (php4): [url]http://bugs.php.net/fix.php?id=26282&r=trysnapshot4[/url]
Try a CVS snapshot (php5): [url]http://bugs.php.net/fix.php?id=26282&r=trysnapshot5[/url]
Fixed in CVS: [url]http://bugs.php.net/fix.php?id=26282&r=fixedcvs[/url]
Fixed in release: [url]http://bugs.php.net/fix.php?id=26282&r=alreadyfixed[/url]
Need backtrace: [url]http://bugs.php.net/fix.php?id=26282&r=needtrace[/url]
Try newer version: [url]http://bugs.php.net/fix.php?id=26282&r=oldversion[/url]
Not developer issue: [url]http://bugs.php.net/fix.php?id=26282&r=support[/url]
Expected behavior: [url]http://bugs.php.net/fix.php?id=26282&r=notwrong[/url]
Not enough info: [url]http://bugs.php.net/fix.php?id=26282&r=notenoughinfo[/url]
Submitted twice: [url]http://bugs.php.net/fix.php?id=26282&r=submittedtwice[/url]
register_globals: [url]http://bugs.php.net/fix.php?id=26282&r=globals[/url]
PHP 3 support discontinued: [url]http://bugs.php.net/fix.php?id=26282&r=php3[/url]
Daylight Savings: [url]http://bugs.php.net/fix.php?id=26282&r=dst[/url]
IIS Stability: [url]http://bugs.php.net/fix.php?id=26282&r=isapi[/url]
Install GNU Sed: [url]http://bugs.php.net/fix.php?id=26282&r=gnused[/url]
Floating point limitations: [url]http://bugs.php.net/fix.php?id=26282&r=float[/url]